Agents / REST API

Publish knowledge draft

Publish the exact reviewed knowledge draft only after explicit user approval, using the returned draft timestamp. Does not send messages or change agent autonomy.

POST /api/agents/knowledgeDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
expectedDraftCreatedAtRequired · string
See the input schema for this field.
Request example
curl -X POST "https://app.pipeline.help/api/agents/knowledge" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"expectedDraftCreatedAt":"2026-01-01T00:00:00.000Z"}'
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string"
    },
    "expectedDraftCreatedAt": {
      "type": "string"
    }
  },
  "required": [
    "expectedDraftCreatedAt"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview